apiVersion: batch/v1
kind: CronJob
metadata:
  name: {{ include "highfive.fullname" . }}-nightly-ldap-cron
  labels:
{{ include "highfive.labels" . | indent 4 }}
spec:
  schedule: "0 8 * * *"
  jobTemplate:
    spec:
      template:
        metadata:
          labels:
            app.kubernetes.io/name: {{ include "highfive.name" . }}-nightly-ldap-cron
            app.kubernetes.io/instance: {{ .Release.Name }}-nightly-ldap-cron
        spec:
          serviceAccountName: {{ template "highfive.serviceAccountName" . }}
          containers:
          - name: {{ .Chart.Name }}-nightly-ldap-cron
            image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
            imagePullPolicy: {{ .Values.image.pullPolicy }}
            args: ["bundle", "exec", "rake", "nightly:employees"]
            envFrom:
              - configMapRef:
                  name: {{ include "highfive.fullname" .}}
              - secretRef:
                  name: {{ template "highfive.secretName" . }}
          restartPolicy: OnFailure
